<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:40 CET 2016 -->
<title>FieldData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FieldData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldSequenceData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" target="_top">Frames</a></li>
<li><a href="FieldData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields</div>
<h2 title="Class FieldData.Builder" class="title">Class FieldData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields.FieldData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">FieldData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#active-java.lang.Boolean-">active</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#centralMaintenance-java.lang.Boolean-">centralMaintenance</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the centralMaintenance value
 
 Description: A flag indicating that this label is managed in a central repository.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#client-java.lang.String-">client</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#column-java.lang.String-">column</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the column value
 
 Description: A link to the database column of the table.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#displayed-java.lang.Boolean-">displayed</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the displayed value
 
 Description: Determines if this field is displayed</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#displayedLength-java.lang.String-">displayedLength</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the displayedLength value
 
 Description: The number of characters that made be added to a specified field.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#displayEncription-java.lang.Boolean-">displayEncription</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the displayEncription value
 
 Description: An indication noting if the input box of a field will present full text or just
 asterisks.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#displayLogic-java.lang.String-">displayLogic</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the displayLogic value
 
 Description: A specification of statements which when evaluated as false cause the field to
 appear hidden.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#displayOnSameLine-java.lang.Boolean-">displayOnSameLine</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the displayOnSameLine value
 
 Description: An indication that the field will display on the same line as the previous one.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#eMObuiselOutfieldID-java.lang.String-">eMObuiselOutfieldID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the eMObuiselOutfieldID value
 
 Description: Identifies the 'out field' from which get a value on a row selection</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#fieldGroup-java.lang.String-">fieldGroup</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the fieldGroup value
 
 Description: A classification of similar fields.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#gridPosition-java.lang.String-">gridPosition</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the gridPosition value
 
 Description: Grid position</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#helpComment-java.lang.String-">helpComment</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the helpComment value
 
 Description: A comment that adds additional information to help users work with fields.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#isFirstFocusedField-java.lang.Boolean-">isFirstFocusedField</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the isFirstFocusedField value
 
 Description: Is First Focused Field</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#module-java.lang.String-">module</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the module value
 
 Description: Module</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#name-java.lang.String-">name</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#readOnly-java.lang.Boolean-">readOnly</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the readOnly value
 
 Description: An object which may only be viewed not edited.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#recordSortNo-java.lang.String-">recordSortNo</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the recordSortNo value
 
 Description: A means of sorting and ordering records in a window.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#sequenceNumber-java.lang.String-">sequenceNumber</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the sequenceNumber value
 
 Description: The order of records in a specified document.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#showInGridView-java.lang.Boolean-">showInGridView</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the showInGridView value
 
 Description: Show in Grid View</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#startinoddcolumn-java.lang.Boolean-">startinoddcolumn</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the startinoddcolumn value
 
 Description: Startinoddcolumn</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#startnewline-java.lang.Boolean-">startnewline</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the startnewline value
 
 Description: Startnewline</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html#tab-java.lang.String-">tab</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the tab value
 
 Description: An indication that a tab is displayed within a window.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eMObuiselOutfieldID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eMObuiselOutfieldID</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;eMObuiselOutfieldID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the eMObuiselOutfieldID value
 
 Description: Identifies the 'out field' from which get a value on a row selection</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The eMObuiselOutfieldID value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="startnewline-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startnewline</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;startnewline(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the startnewline value
 
 Description: Startnewline</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The startnewline value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="gridPosition-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gridPosition</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;gridPosition(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the gridPosition value
 
 Description: Grid position</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The gridPosition value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="module-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>module</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;module(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the module value
 
 Description: Module</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The module value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="startinoddcolumn-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startinoddcolumn</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;startinoddcolumn(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the startinoddcolumn value
 
 Description: Startinoddcolumn</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The startinoddcolumn value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="isFirstFocusedField-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFirstFocusedField</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;isFirstFocusedField(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the isFirstFocusedField value
 
 Description: Is First Focused Field</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The isFirstFocusedField value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="showInGridView-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showInGridView</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;showInGridView(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the showInGridView value
 
 Description: Show in Grid View</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The showInGridView value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="fieldGroup-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fieldGroup</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;fieldGroup(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the fieldGroup value
 
 Description: A classification of similar fields.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The fieldGroup value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="centralMaintenance-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>centralMaintenance</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;centralMaintenance(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the centralMaintenance value
 
 Description: A flag indicating that this label is managed in a central repository.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The centralMaintenance value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="readOnly-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readOnly</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;readOnly(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the readOnly value
 
 Description: An object which may only be viewed not edited.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The readOnly value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="client-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>client</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;client(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The client value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="active-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>active</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;active(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The active value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="displayEncription-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayEncription</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;displayEncription(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the displayEncription value
 
 Description: An indication noting if the input box of a field will present full text or just
 asterisks.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The displayEncription value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="displayOnSameLine-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayOnSameLine</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;displayOnSameLine(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the displayOnSameLine value
 
 Description: An indication that the field will display on the same line as the previous one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The displayOnSameLine value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="recordSortNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recordSortNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;recordSortNo(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the recordSortNo value
 
 Description: A means of sorting and ordering records in a window.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The recordSortNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="sequenceNumber-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sequenceNumber</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;sequenceNumber(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the sequenceNumber value
 
 Description: The order of records in a specified document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The sequenceNumber value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="displayedLength-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayedLength</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;displayedLength(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the displayedLength value
 
 Description: The number of characters that made be added to a specified field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The displayedLength value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="displayLogic-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayLogic</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;displayLogic(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the displayLogic value
 
 Description: A specification of statements which when evaluated as false cause the field to
 appear hidden.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The displayLogic value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="displayed-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayed</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;displayed(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the displayed value
 
 Description: Determines if this field is displayed</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The displayed value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="column-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>column</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;column(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the column value
 
 Description: A link to the database column of the table.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The column value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="helpComment-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>helpComment</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;helpComment(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the helpComment value
 
 Description: A comment that adds additional information to help users work with fields.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The helpComment value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="name-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;name(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The name value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="tab-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tab</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData.Builder</a>&nbsp;tab(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the tab value
 
 Description: An indication that a tab is displayed within a window.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The tab value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields">FieldData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldSequenceData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.windowstabsandfields"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/data/applicationdictionary/windowstabsandfields/FieldData.Builder.html" target="_top">Frames</a></li>
<li><a href="FieldData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
